#
# Conditional build:
%bcond_with	tests	# unit tests (not included in sdist)

%define		module	jmespath
Summary:	JSON Matching Expressions
Summary(pl.UTF-8):	JSON Matching Expressions - wyrażenia dopasowujące JSON
Name:		python3-%{module}
Version:	1.0.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/jmespath/
Source0:	https://files.pythonhosted.org/packages/source/j/jmespath/%{module}-%{version}.tar.gz
# Source0-md5:	2dd28beb22d698f58fe2281bfe5fe3a3
URL:		https://github.com/jmespath/jmespath.py
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pynose
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.7
Conflicts:	python-jmespath < 0.10.0-9
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JMESPath allows you to declaratively specify how to extract elements
from a JSON document.

%description -l pl.UTF-8
JMESPath pozwala deklaratywnie określać sposób wydobywania elementów z
dokumentów JSON.

%prep
%setup -q -n %{module}-%{version}

%{__rm} -r %{module}.egg-info

%build
%py3_build

%if %{with tests}
nosetests-%{py3_ver}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/jp.py $RPM_BUILD_ROOT%{_bindir}/jp.py-3
ln -sf jp.py-3 $RPM_BUILD_ROOT%{_bindir}/jp.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.rst
%attr(755,root,root) %{_bindir}/jp.py
%attr(755,root,root) %{_bindir}/jp.py-3
%{py3_sitescriptdir}/jmespath
%{py3_sitescriptdir}/jmespath-%{version}-py%{py3_ver}.egg-info
%changelog
* Mon Jul 14 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-jmespath.git;a=log;h=master

* Mon Jul 14 2025 Jakub Bogusz <qboosh@pld-linux.org> bf7b517
- python-jmespath.spec updated to 1.0.1 for python 3.7+

* Mon Jul 14 2025 Jakub Bogusz <qboosh@pld-linux.org> 9e15e0a
- move jp.py symlink to python3; release 9

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 17b724f
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> f379b6a
- python 3.13 rebuild

* Sun Oct 22 2023 Jakub Bogusz <qboosh@pld-linux.org> 07ad9be
- python2 note

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 5b8cd76
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 1bdf6fe
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 7bfc57e
- rebuild with python 3.10

* Tue Mar 09 2021 Jan Rękorajski <baggins@pld-linux.org> b75cfd5
- release 3 (by relup.sh)

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 50c9b63
- release 2 (by relup.sh)

* Thu Feb 11 2021 Jakub Bogusz <qboosh@pld-linux.org> f79a2f4
- updated to 0.10.0

* Tue Mar 17 2020 Elan Ruusamäe <glen@pld-linux.org> 0226e80
- New, version 0.9.0

